API referenceV1Export template
Commit export template changes
This endpoint commits all changes made to the export template into a new revision.
Authorization
bearerAuth AuthorizationBearer <token>
ProductsUp Keycloak JWT bearer token.
In: header
Path Parameters
id*string
Export id.
Header Parameters
X-Channel-Template-Context?string
Name of channel template context to process request against.
Response Body
application/json
application/json
curl -X POST "https://export-template-api.productsup.com/V1/export-templates/string/commit"{
"data": {
"revisionId": "01977d42-b51d-70b4-afed-b5522b5ce896"
}
}{
"errors": {
"message": "Resource access denied."
}
}How is this guide?
Upload a logo for an export template POST
Previous Page
Create an export template POST
An export template is a resource that holds the main information of a template for creating channels. This is the main resource which is linked to all other sub-resources that comprise the full channel template. After an export template has been created, all other sub-resources can be linked to it to create an entire channel template. This endpoint allows the creation of an export template.